## groovy2 2.2.2+dfsg

=== debian/changelog ===
groovy2 (2.2.2+dfsg-3ubuntu1) vivid; urgency=medium

  * Drop build dependency on locales-all, as it is not in Ubuntu.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 05 Jan 2015 02:53:30 -0500

groovy2 (2.2.2+dfsg-3) unstable; urgency=medium

  * Relicense patches under Apache-2.0 license to make them compatible
    with upstream and to address FTPmasters concerns. 

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 28 Aug 2014 21:18:18 -0700

groovy2 (2.2.2+dfsg-2) unstable; urgency=low

  * Fix typo in Maven artifacts versioning.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 12 Jul 2014 18:16:59 -0300

groovy2 (2.2.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Refresh patches.
  * Implement alternatives usage to allow co-installation with groovy 1.8.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 11 May 2014 14:22:06 -0300

groovy (2.2.1+dfsg-2) experimental; urgency=low

  * Fix Maven coordinates. (Closes: #733051).
  * Update maintainer email address.

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 25 Dec 2013 14:28:19 -0300

groovy (2.2.1+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches:
    - 01_fix_gradle_build.diff
    - 03_add_maven_poms.diff
  * Update dependencies lists:
    - libjline-java is replaced with libjline2-java.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 01 Dec 2013 16:21:56 -0300

groovy (2.1.9+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Update watch file. Thanks to Bart Martens for the improved file.
  * Remove GPars symlink from /usr/share/groovy/lib directory.
    (Closes: #728562).
  * Refresh patches:
    - 01_fix_gradle_build.diff
    - 03_add_maven_poms.diff

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 24 Nov 2013 18:14:43 -0300

groovy (2.1.6+dfsg-1) experimental; urgency=low

  * New upstream release. (Closes: #708193).
  * Switch build system from Ant to Gradle.
  * Remove obsolete DMUA field in d/control file.
  * Update Uploaders list since I'm the only mantainer nowadays.
    Thanks to all the previous maintainers for their work on this package.
  * Update dependency lists.
  * Bump Standards-Version to 3.9.5. No changes were required.
  * Make copyright file compliant with format 1.0.
  * Migrate maintenance to Alioth git repositorites and update Vcs-* fields.
  * Add Maven metadata as a patch because it's not included anymore in the
    upstream tarball. I added the target get-orig-pom in d/rules.
  * Bump debhelper compat level to 9.

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 01 Nov 2013 00:19:47 -0300

groovy (1.8.6-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 13 Feb 2012 19:07:27 -0430

groovy (1.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 24 Dec 2011 12:58:27 -0430

groovy (1.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 12 Nov 2011 08:53:18 -0430

groovy (1.8.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 13 Oct 2011 21:36:25 -0430

groovy (1.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 05 Sep 2011 22:31:51 -0430

groovy (1.8.1-2) unstable; urgency=low

  * Team upload.
  
  [Miguel Landaeta]
  * Upload to unstable.

  [tony mancill]
  * Set DMUA flag.

 -- tony mancill <tmancill@debian.org>  Tue, 09 Aug 2011 16:20:19 -0700

groovy (1.8.1-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 24 Jul 2011 11:12:10 +0200

groovy (1.7.10-2) unstable; urgency=low

  * Add ant-nodeps jar as dep in debian/rules due to changes in Ant 1.8.1.
  * Bump Standards-Version to 3.9.2. No changes were required.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 04 May 2011 10:15:07 -0430

groovy (1.7.10-1) unstable; urgency=low

  * New upstream release.
  * Use the location of java command instead of javac one to determine
    JAVA_HOME. (Closes: #619844).
  * Replace optional dependency of java5-runtime-headless with
    sun-java6-jre since is not true that groovy will work with any Java 5
    runtime available in Debian.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 23 Mar 2011 19:50:48 -0430

groovy (1.7.9-1) unstable; urgency=low

  * New upstream upload.
  * Add optional Depends on java5-runtime-headless for
    groovy. (Closes: #617772).

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 11 Mar 2011 08:38:53 -0430

groovy (1.7.8-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 17 Feb 2011 08:29:10 -0430

groovy (1.7.7-1) unstable; urgency=low

  * New upstream release. 
  * Update dates in debian/copyright file.
  * Add call to mh_clean in clean target.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 06 Feb 2011 19:56:53 -0430

groovy (1.7.6-1) UNRELEASED; urgency=low

  * New upstream release.
  * Fix section of grape manpage.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 16 Dec 2010 19:22:04 -0430

groovy (1.7.5-1) UNRELEASED; urgency=low

  * New upstream release.
  * Revert Depends on default-jdk. Set correct JAVA_HOME in startGroovy script.
  * Update dates in debian/copyright file.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 11 Nov 2010 19:52:27 -0430

groovy (1.7.4-1) unstable; urgency=low

  * New upstream release.
  * Add Depends on default-jdk. (Closes: 580160).
  * Bump debhelper compatibility level to 7.
  * Bump Standards-Version to 3.9.1.
    debian/copyright was updated to include the full text of BSD license,
    references to /usr/share/common-licenses/BSD are now deprecated.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 05 Aug 2010 19:38:10 -0430

groovy (1.7.3-1) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * New upstream release, refreshed patches.
  * Bumped policy to 3.9.0, no changes required

  [ Miguel Landaeta ]

