=== debian/control ===
Source: groovy2
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <nomadium@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: default-jdk, gradle (>= 1.4~), ant, ant-optional,
 maven-repo-helper, libasm4-java, libbsf-java, libcommons-cli-java,
 libcommons-logging-java, junit4, libservlet2.5-java, libxstream-java,
 libjline2-java, antlr, ivy, libqdox-java, libjansi-java, unzip,
 libjarjar-java (>= 1.4+svn142-4~), libcobertura-java
Standards-Version: 3.9.5
Homepage: http://groovy.codehaus.org/
Vcs-Git: git://anonscm.debian.org/pkg-java/groovy2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/groovy2.git

Package: groovy2
Architecture: all
Depends: ${misc:Depends}, antlr, libasm4-java, libbsf-java,
 libcommons-cli-java, libcommons-logging-java, junit4, libservlet2.5-java,
 libjline2-java, libxstream-java, ivy, libjansi-java,
 default-jre-headless | java6-runtime, libqdox-java
Recommends: libgpars-groovy-java (>= 1.0~), ant, ant-optional,
 libjcommander-java, testng
Suggests: groovy-doc
Description: Agile dynamic language for the Java Virtual Machine
 Groovy is an agile dynamic language for the JVM combining lots of great
 features from languages like Python, Ruby and Smalltalk and making them
 available to the Java developers using a Java-like syntax.
 .
 Groovy is designed to help you get things done on the Java platform in a
 quicker, more concise and fun way - bringing the power of Python and Ruby
 inside the Java platform.
 .
 Groovy can be used as an alternative compiler to javac to generate
 standard Java bytecode to be used by any Java project or it can be used
 dynamically as an alternative language such as for scripting Java objects,
 templating or writing unit test cases. 

Package: groovy2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: default-jdk-doc
Suggests: groovy
Description: Agile dynamic language for the Java Virtual Machine (documentation)
 Groovy is an agile dynamic language for the JVM combining lots of great
 features from languages like Python, Ruby and Smalltalk and making them
 available to the Java developers using a Java-like syntax.
 .
 Groovy is designed to help you get things done on the Java platform in a
 quicker, more concise and fun way - bringing the power of Python and Ruby
 inside the Java platform.
 .
 Groovy can be used as an alternative compiler to javac to generate
 standard Java bytecode to be used by any Java project or it can be used
 dynamically as an alternative language such as for scripting Java objects,
 templating or writing unit test cases.
 .
 This package includes the Groovy API javadocs, and examples.
