=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+dfsg// \
http://groovy.codehaus.org/Download .*/groovy-src-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|zip) \
debian debian/orig-tar.sh
