## groovy2 2.4.3+dfsg

=== debian/changelog ===
groovy2 (2.4.3+dfsg-2ubuntu1) wily; urgency=medium

  * Build-depend on locales-all | language-pack-en.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 15:51:30 +0200

groovy2 (2.4.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Miguel Landaeta]
  * Fix remote execution of untrusted code and possible DoS vulnerability.
    (CVE-2015-3253) (Closes: #793398).

  [ Markus Koschany ]
  * Fix FTBFS with gradle 2.5 by adding mavenRepo.patch and using bnd 1.50 from
    unstable. (Closes: #795853)

 -- Markus Koschany <apo@gambaru.de>  Mon, 17 Aug 2015 19:29:07 +0200

groovy2 (2.4.3+dfsg-1) experimental; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Depend on java6-runtime-headless instead of java6-runtime

  [ Komal ]
  * New upstream release (Closes: #747817)
  * Repack the upstream tarball and remove non-free files. This should also fix
    the FTBFS on armhf since this file does not even exist anymore.
    (Closes: #768835)
  * Create new patch files
     -01_fix_doc_gradle.diff
     -02_fix_gradle_build.diff
     -fix_for_gradle-1.12.diff
     -change_bsf_dependencies_version.diff
     -change_servlet_dependency_version.diff
     -change_junit_version.diff
     -change_testng_dependency_version.diff
  * Deleted 03_add_maven_poms.diffpatch file
  * Add entry for CPL license in copyright file
  * Add pom files in Debian directory
  * Add missing packages to Build-Depends
     -libjcommander-java
     -testng
     -bnd
     -checkstyle

 -- Komal <komaldsukhani@gmail.com>  Fri, 26 Jun 2015 21:33:25 +0200

groovy2 (2.2.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Use junit 4.x instead of 4.11 to fix a build failure
  * Updated the watch file
  * debian/control:
    - Standards-Version updated to 3.9.6 (no changes)
    - Updated the Homepage field
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jun 2015 10:11:01 +0200
