=== debian/control ===
--- 
+++ 
@@ -4,25 +4,58 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Miguel Landaeta <nomadium@debian.org>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: default-jdk, gradle (>= 1.4~), ant, ant-optional,
- maven-repo-helper, libasm4-java, libbsf-java, libcommons-cli-java,
- libcommons-logging-java, junit4, libservlet2.5-java, libxstream-java,
- libjline2-java, antlr, ivy, libqdox-java, libjansi-java, unzip,
- libjarjar-java (>= 1.4+svn142-4~), libcobertura-java
-Standards-Version: 3.9.5
-Homepage: http://groovy.codehaus.org/
+Build-Depends: ant,
+               ant-optional,
+               antlr,
+               debhelper (>= 9),
+               default-jdk,
+               gradle (>= 1.12~),
+               ivy,
+               junit4,
+               libasm4-java,
+               libbsf-java,
+               libcobertura-java,
+               libcommons-cli-java,
+               libcommons-logging-java,
+               libjansi-java,
+               libjarjar-java (>= 1.4+svn142-4~),
+               libjline2-java,
+               libqdox-java,
+               libservlet2.5-java,
+               libxstream-java,
+               locales-all | language-pack-en,
+               maven-repo-helper,
+               unzip,
+               libjcommander-java,
+               testng,
+               bnd,
+               checkstyle
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/groovy2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/groovy2.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/groovy2.git
+Homepage: http://www.groovy-lang.org
 
 Package: groovy2
 Architecture: all
-Depends: ${misc:Depends}, antlr, libasm4-java, libbsf-java,
- libcommons-cli-java, libcommons-logging-java, junit4, libservlet2.5-java,
- libjline2-java, libxstream-java, ivy, libjansi-java,
- default-jre-headless | java6-runtime, libqdox-java
-Recommends: libgpars-groovy-java (>= 1.0~), ant, ant-optional,
- libjcommander-java, testng
+Depends: antlr,
+         default-jre-headless | java6-runtime-headless,
+         ivy,
+         junit4,
+         libasm4-java,
+         libbsf-java,
+         libcommons-cli-java,
+         libcommons-logging-java,
+         libjansi-java,
+         libjline2-java,
+         libqdox-java,
+         libservlet2.5-java,
+         libxstream-java,
+         ${misc:Depends}
+Recommends: ant,
+            ant-optional,
+            libgpars-groovy-java (>= 1.0~),
+            libjcommander-java,
+            testng
 Suggests: groovy-doc
 Description: Agile dynamic language for the Java Virtual Machine
  Groovy is an agile dynamic language for the JVM combining lots of great
@@ -36,7 +69,7 @@
  Groovy can be used as an alternative compiler to javac to generate
  standard Java bytecode to be used by any Java project or it can be used
  dynamically as an alternative language such as for scripting Java objects,
- templating or writing unit test cases. 
+ templating or writing unit test cases.
 
 Package: groovy2-doc
 Section: doc
