## groovy2 2.4.5

=== debian/changelog ===
groovy2 (2.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the poms
    - Removed the build dependency on checkstyle
  * debian/rules: Replaced the hardcoded version with a variable
  * Build with gradle-debian-helper

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 02 Feb 2016 17:45:14 +0100

groovy2 (2.4.3+dfsg-4) UNRELEASED; urgency=medium

  * Team upload.
  * Fix typo in Suggests for groovy2-doc binary package.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 10 Dec 2015 16:26:31 -0300

groovy2 (2.4.3+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Updated debian/watch to track the Apache incubator releases.

  [ Markus Koschany ]
  * Transition to bnd 2.1.0 and update 02_fix_gradle_build.diff.
  * debian/copyright: Update Source field for new releases.
  * Build-depend on locales-all | language-pack-en.

 -- Markus Koschany <apo@debian.org>  Wed, 18 Nov 2015 15:19:05 +0100
