=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: groovy2
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Miguel Landaeta <nomadium@debian.org>
 Build-Depends: ant,
                ant-optional,
                antlr,
                debhelper (>= 9),
                default-jdk,
-               gradle (>= 1.12~),
+               gradle-debian-helper,
                ivy,
                junit4,
                libasm4-java,
@@ -28,8 +27,7 @@
                unzip,
                libjcommander-java,
                testng,
-               bnd,
-               checkstyle
+               bnd (>= 2.1.0)
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/groovy2.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/groovy2.git
@@ -76,7 +74,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: default-jdk-doc
-Suggests: groovy
+Suggests: groovy2
 Description: Agile dynamic language for the Java Virtual Machine (documentation)
  Groovy is an agile dynamic language for the JVM combining lots of great
  features from languages like Python, Ruby and Smalltalk and making them
